# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWX/WXGLCanvas.cpp File Reference

`#include "vlWX/WXGLCanvas.hpp"`

Go to the source code of this file.

## Functions

void | translateKey (int &unicode, EKey &key, const wxKeyEvent &ev)

## Function Documentation

void translateKey | ( | int & | unicode,
|  | EKey & | key,
|  | const wxKeyEvent & | ev
| ) |  |

Definition at line 166 of file WXGLCanvas.cpp.

References vl::Key_0, vl::Key_1, vl::Key_2, vl::Key_3, vl::Key_4, vl::Key_5, vl::Key_6, vl::Key_7, vl::Key_8, vl::Key_9, vl::Key_A, vl::Key_Alt, vl::Key_Ampersand, vl::Key_Asterisk, vl::Key_At, vl::Key_B, vl::Key_BackSlash, vl::Key_BackSpace, vl::Key_C, vl::Key_Caret, vl::Key_Clear, vl::Key_Colon, vl::Key_Comma, vl::Key_Ctrl, vl::Key_D, vl::Key_Delete, vl::Key_Dollar, vl::Key_Down, vl::Key_E, vl::Key_End, vl::Key_Equal, vl::Key_Escape, vl::Key_Exclam, vl::Key_F, vl::Key_F1, vl::Key_F10, vl::Key_F11, vl::Key_F12, vl::Key_F2, vl::Key_F3, vl::Key_F4, vl::Key_F5, vl::Key_F6, vl::Key_F7, vl::Key_F8, vl::Key_F9, vl::Key_G, vl::Key_Greater, vl::Key_H, vl::Key_Hash, vl::Key_Home, vl::Key_I, vl::Key_Insert, vl::Key_J, vl::Key_K, vl::Key_L, vl::Key_Left, vl::Key_LeftBracket, vl::Key_LeftParen, vl::Key_Less, vl::Key_M, vl::Key_Minus, vl::Key_N, vl::Key_O, vl::Key_P, vl::Key_PageDown, vl::Key_PageUp, vl::Key_Pause, vl::Key_Period, vl::Key_Plus, vl::Key_Print, vl::Key_Q, vl::Key_Question, vl::Key_Quote, vl::Key_QuoteDbl, vl::Key_QuoteLeft, vl::Key_R, vl::Key_Return, vl::Key_Right, vl::Key_RightBracket, vl::Key_RightParen, vl::Key_S, vl::Key_Semicolon, vl::Key_Shift, vl::Key_Slash, vl::Key_Space, vl::Key_T, vl::Key_Tab, vl::Key_U, vl::Key_Underscore, vl::Key_Up, vl::Key_V, vl::Key_W, vl::Key_X, vl::Key_Y, and vl::Key_Z.

Referenced by vlWX::WXGLCanvas::OnKeyDown(), and vlWX::WXGLCanvas::OnKeyUp().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.